package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-发票明细对象 income_invoice_auth_detail
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String invoiceId;

    /** 明细编号 */
    @Excel(name = "明细编号")
    private String xh;

    /** 货物名称 */
    @Excel(name = "货物名称")
    private String spmc;

    /** 商品编码 */
    @Excel(name = "商品编码")
    private String spbm;

    /** 税收分类简码 名称 */
    @Excel(name = "税收分类简码 名称")
    private String spbmjc;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String cph;

    /** 类型 */
    @Excel(name = "类型")
    private String lx;

    /** 通行时间起 */
    @Excel(name = "通行时间起")
    private String txsjq;

    /** 通行时间止 */
    @Excel(name = "通行时间止")
    private String txsjz;

    /** 金额 */
    @Excel(name = "金额")
    private String je;

    /** 税率 */
    @Excel(name = "税率")
    private String sl;

    /** 税额 */
    @Excel(name = "税额")
    private String se;

    /** 规格型号 增值税专票字段 */
    @Excel(name = "规格型号 增值税专票字段")
    private String ggxh;

    /** 计量单位 增值税专票字段 */
    @Excel(name = "计量单位 增值税专票字段")
    private String dw;

    /** 数量 增值税专票字段 */
    @Excel(name = "数量 增值税专票字段")
    private String spsl;

    /** 不含税单价 增值税专票字段 */
    @Excel(name = "不含税单价 增值税专票字段")
    private String dj;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setInvoiceId(String invoiceId)
    {
        this.invoiceId = invoiceId;
    }

    public String getInvoiceId()
    {
        return invoiceId;
    }
    public void setXh(String xh)
    {
        this.xh = xh;
    }

    public String getXh()
    {
        return xh;
    }
    public void setSpmc(String spmc)
    {
        this.spmc = spmc;
    }

    public String getSpmc()
    {
        return spmc;
    }
    public void setSpbm(String spbm)
    {
        this.spbm = spbm;
    }

    public String getSpbm()
    {
        return spbm;
    }
    public void setSpbmjc(String spbmjc)
    {
        this.spbmjc = spbmjc;
    }

    public String getSpbmjc()
    {
        return spbmjc;
    }
    public void setCph(String cph)
    {
        this.cph = cph;
    }

    public String getCph()
    {
        return cph;
    }
    public void setLx(String lx)
    {
        this.lx = lx;
    }

    public String getLx()
    {
        return lx;
    }
    public void setTxsjq(String txsjq)
    {
        this.txsjq = txsjq;
    }

    public String getTxsjq()
    {
        return txsjq;
    }
    public void setTxsjz(String txsjz)
    {
        this.txsjz = txsjz;
    }

    public String getTxsjz()
    {
        return txsjz;
    }
    public void setJe(String je)
    {
        this.je = je;
    }

    public String getJe()
    {
        return je;
    }
    public void setSl(String sl)
    {
        this.sl = sl;
    }

    public String getSl()
    {
        return sl;
    }
    public void setSe(String se)
    {
        this.se = se;
    }

    public String getSe()
    {
        return se;
    }
    public void setGgxh(String ggxh)
    {
        this.ggxh = ggxh;
    }

    public String getGgxh()
    {
        return ggxh;
    }
    public void setDw(String dw)
    {
        this.dw = dw;
    }

    public String getDw()
    {
        return dw;
    }
    public void setSpsl(String spsl)
    {
        this.spsl = spsl;
    }

    public String getSpsl()
    {
        return spsl;
    }
    public void setDj(String dj)
    {
        this.dj = dj;
    }

    public String getDj()
    {
        return dj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("invoiceId", getInvoiceId())
            .append("xh", getXh())
            .append("spmc", getSpmc())
            .append("spbm", getSpbm())
            .append("spbmjc", getSpbmjc())
            .append("cph", getCph())
            .append("lx", getLx())
            .append("txsjq", getTxsjq())
            .append("txsjz", getTxsjz())
            .append("je", getJe())
            .append("sl", getSl())
            .append("se", getSe())
            .append("ggxh", getGgxh())
            .append("dw", getDw())
            .append("spsl", getSpsl())
            .append("dj", getDj())
            .toString();
    }
}
